Unable to install local package #91

Open
developerlin opened this Issue Nov 7, 2012 · 1 comment

Projects

None yet

2 participants

@developerlin

Try to install local package as below
{{{
yam install ./feature1
}}}

but always get the following error
{{{
installing from repositories ./feature1
Building version tree...
repositories checking "./feature1"
Error: No package for './feature1'
at Object.dependencyError (/usr/local/lib/node_modules/jamjs/lib/tree.js:227:16)
at Object.updateDep (/usr/local/lib/node_modules/jamjs/lib/tree.js:192:33)
at Object.addDependency (/usr/local/lib/node_modules/jamjs/lib/tree.js:139:28)
at /usr/local/lib/node_modules/jamjs/lib/tree.js:145:32
at /usr/local/lib/node_modules/jamjs/lib/tree.js:188:20
at /usr/local/lib/node_modules/jamjs/lib/repository.js:460:9
at /usr/local/lib/node_modules/jamjs/node_modules/async/lib/async.js:94:25
at /usr/local/lib/node_modules/jamjs/lib/repository.js:456:13
at /usr/local/lib/node_modules/jamjs/lib/repository.js:210:9
at IncomingMessage. (/usr/local/lib/node_modules/jamjs/lib/couchdb.js:248:25)
Failed

}}}

Here is the package.json file https://gist.github.com/4030399

P.S. this issue is confirmed with @caolan

@jonsharratt

I have managed to publish a package with your gist package.json successfully and install it all locally. Should it not be "jam install feature1" rather than "jam install ./feature1".

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment